web/main/forms/Parking.py
from flask_wtf import FlaskForm
import wtforms as wtf


class CreateParking(FlaskForm):

    name = wtf.StringField(
        label="name",
        validators=[wtf.validators.DataRequired(message="Este campo es obligatorio")],
        render_kw={"placeholder": "Nombre de la playa de estacionamiento"}
    )
    location = wtf.StringField(
        label="location",
        validators=[wtf.validators.DataRequired(message="Este campo es obligatorio")],
        render_kw={"placeholder": "Coordenadas geográficas"}
    )
    space = wtf.IntegerField(
        label="space",
        validators=[wtf.validators.DataRequired(message="Este campo es obligatorio")],
        render_kw={"placeholder": "Ingrese numeros enteros"}
    )
    price = wtf.IntegerField(
        label="price",
        validators=[wtf.validators.DataRequired(message="Este campo es obligatorio")],
        render_kw={"placeholder": "Ej. 119.99"}
    )

    submit_button = wtf.SubmitField(label="Guardar")

web/main/routes/home.py
import json
from datetime import datetime
from flask import Blueprint, render_template
import flask_login
from flask_login import login_required
from flask import Blueprint, render_template, request, url_for, current_app, make_response
from main.resources.auth import LoggedUser
from sphinx.util import requests

home = Blueprint('index', __name__, url_prefix='/')


@home.route('/')
@home.route('/index', methods=['POST', 'GET'])
@login_required
def index():
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    if flask_login.current_user.admin:
        if flask_login.current_user.parkingId != None:
            url = str(current_app.config['API_URL']) + '/parking/' + str(flask_login.current_user.parkingId)
            r = requests.get(url=url, headers=headers)
            qr = json.loads(r.text)['qr']
            space = json.loads(r.text)['space']

            url = str(current_app.config['API_URL']) + '/history/get-all-history/' + str(flask_login.current_user.parkingId)
            r = requests.get(url=url, headers=headers)
            clients = json.loads(r.text)['history']

            clients_list = list()

            for jsn in clients:
                jsn['i_timestamp'] = datetime.fromtimestamp(jsn['i_timestamp'])
                jsn['f_timestamp'] = datetime.fromtimestamp(jsn['f_timestamp'])
                clients_list.append(jsn['userId']['userId'])

            total_clients = len(list(set(clients_list)))
            total_sales = len(clients)
            return render_template('home.html',
                                   current_user=flask_login.current_user,
                                   qr=qr,
                                   total_sales=total_sales,
                                   total_clients=total_clients,
                                   space=space,
                                   clients=clients)
        else:
            return render_template('home.html',
                                   current_user=flask_login.current_user)
    else:
        if request.method == 'POST':
            location = request.form['location']
            url = str(current_app.config['API_URL']) + '/parkings/' + location + '&' + '5000'
            r = requests.get(url=url)
            parkings = json.loads(r.text)['parkings']
            resp = make_response(render_template('home-common.html', current_user=flask_login.current_user, parkings=parkings))
            resp.set_cookie('location', location)
            return resp
        location = request.cookies.get('location')
        if location != None:
            url = str(current_app.config['API_URL']) + '/parkings/' + location + '&' + '5000'
            r = requests.get(url=url)
            parkings = json.loads(r.text)['parkings']
            return render_template('home-common.html', current_user=flask_login.current_user, parkings=parkings)
        else:
            return render_template('capture-location.html', current_user=flask_login.current_user)

web/main/routes/login.py
import ast
import json

import requests
from flask import Blueprint, render_template, make_response, url_for
from flask import current_app, flash
from flask_login import login_required, logout_user
from flask_login import login_user
from main.forms.login import Login, Register
from main.resources.auth import LoggedUser
from werkzeug.utils import redirect

login = Blueprint('login', __name__, url_prefix='/')


@login.route('/', methods=['POST', 'GET'])
def index():
    form_login = Login()
    if form_login.validate_on_submit():
        url = str(current_app.config['API_URL']) + str('/auth/login')

        data = '{"email":"' + form_login.email.data + \
               '", "password":"' + form_login.password.data + '"}'

        r = requests.post(url=url, headers={'content-type': 'application/json'}, data=data)

        if r.status_code == 200:
            user_json = json.loads(r.text)
            logged_user = LoggedUser(
                id=user_json['id'],
                name=user_json['name'],
                admin=user_json['admin'],
                parkingId=user_json['parkingId']
            )
            login_user(logged_user)
            if ast.literal_eval(user_json['admin']) == True:
                req = make_response(redirect(url_for('index.index')))
                req.set_cookie('access_token', user_json['access_token'], httponly=True)
                return req
            else:
                req = make_response(redirect(url_for('index.index')))
                req.set_cookie('access_token', user_json['access_token'], httponly=True)
                return req
        else:
            flash("Credenciales desconocidas. Por favor intente nuevamente.", 'danger')
        return redirect(url_for('login.index'))

    web = current_app.config['WEB_URL']

    return render_template('login.html',
                           form_login=form_login,
                           web=web)

@login.route('/register', methods=['POST', 'GET'])
def register():
    form = Register()
    if form.validate_on_submit():
        data = {
            "email": form.email.data,
            "password": form.password.data,
            "admin": form.admin.data
        }
        r = requests.post(current_app.config['API_URL'] + "/auth/register",
                          headers={'content-type': 'application/json'}, json=data)
        if r.status_code == 201:
            return redirect(url_for('login.index'))
        else:
            print("Error")
    return render_template('register.html', form=form)

@login.route('/logout')
@login_required
def logout():
    req = make_response(redirect(url_for('login.index')))
    req.set_cookie('access_token', '', httponly=True)
    logout_user()
    return req

web/main/routes/parkings.py
import json
from datetime import datetime
import flask_login
import requests
from flask import Blueprint, render_template, request, url_for, current_app, make_response
from flask import flash
from flask_login import login_required
from main import admin_required
from werkzeug.utils import redirect


parkings = Blueprint('parkings', __name__, url_prefix='/')


@parkings.route('/parkings/search', methods=["POST", "GET"])
@login_required
def search():
    return render_template('parkings-search.html')

@parkings.route('/parkings/search/<id>/scan', methods=["POST", "GET"])
@login_required
def scan(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    initialized = None
    url = str(current_app.config['API_URL']) + '/slots/get-user/' + str(flask_login.current_user.id)
    r = requests.get(url=url, headers=headers, json={})
    if r.status_code == 403:
        initialized = False
        return render_template('parkings-scan.html', initialized=initialized)
    elif r.status_code == 201:
        initialized = True
        return render_template('parkings-scan.html', initialized=initialized)


@parkings.route('/parkings/search/<id>/reservation', methods=["POST", "GET"])
@login_required
def reservation(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    data = {
        "parkingId": int(id),
        "userId": int(flask_login.current_user.id)
    }

    url = str(current_app.config['API_URL']) + '/slots/add-user-reservation'
    r = requests.post(url=url, headers=headers, json=data)
    return make_response(redirect(url_for('parkings.show_parking', id=id)))

@parkings.route('/parkings/search/<id>/cancel-reservation', methods=["POST", "GET"])
@login_required
def cancel_reservation(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    data = {
        "parkingId": int(id),
        "userId": int(flask_login.current_user.id)
    }

    url = str(current_app.config['API_URL']) + '/slots/delete-user'
    r = requests.post(url=url, headers=headers, json=data)
    return make_response(redirect(url_for('parkings.show_parking', id=id)))

@parkings.route('/parkings/search/<id>/start', methods=["POST", "GET"])
@login_required
def start(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    data = {
        "parkingId": int(id),
        "userId": int(flask_login.current_user.id)
    }

    url = str(current_app.config['API_URL']) + '/slots/add-user'
    r = requests.post(url=url, headers=headers, json=data)
    return make_response(redirect(url_for('parkings.show_parking', id=id)))

@parkings.route('/parkings/search/<id>/stop', methods=["POST", "GET"])
@login_required
def stop(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    data = {
        "parkingId": int(id),
        "userId": int(flask_login.current_user.id)
    }

    # Obtener fecha de inicio
    url = str(current_app.config['API_URL']) + '/slots/get-user/' + str(flask_login.current_user.id)
    r = requests.get(url=url, headers=headers)
    i_timestamp = json.loads(r.text)['timestamp']

    # Eliminar usuario
    url = str(current_app.config['API_URL']) + '/slots/delete-user'
    r = requests.post(url=url, headers=headers, json=data)

    # Guardar en history
    url = str(current_app.config['API_URL']) + '/parking/' + str(id)
    r = requests.get(url=url, headers=headers, json={})
    parking = json.loads(r.text)
    price = parking['price']
    dt = datetime.now()
    f_timestamp = datetime.timestamp(dt)
    data = {
        "parkingId": int(id),
        "userId": int(flask_login.current_user.id),
        "i_timestamp": int(i_timestamp),
        "f_timestamp": int(f_timestamp),
        "price": int(price)
    }
    url = str(current_app.config['API_URL']) + '/history/save-history'
    r = requests.post(url=url, headers=headers, json=data)


    return make_response(redirect(url_for('parkings.show_checkout', id=id)))


@parkings.route('/parkings/search/<id>', methods=["POST", "GET"])
@login_required
def show_parking(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }

    url = str(current_app.config['API_URL']) + '/parking/' + str(id)
    r = requests.get(url=url, headers=headers, json={})
    parking = json.loads(r.text)
    slots = parking['slots']['slots']
    avaible_slots = 0
    can_finish = False
    is_reservation = False
    for slot in slots:
        if slot['state'] == 0 and slot['reservation'] == 0:
            avaible_slots += 1
        if slot['userId'] == flask_login.current_user.id and slot['reservation'] == 0:
            can_finish = True
        if slot['reservation'] == 1:
            is_reservation = True

    return render_template('parking.html', parking=parking,
                           avaible_slots=avaible_slots,
                           can_finish=can_finish,
                           is_reservation=is_reservation)


@parkings.route('/parkings/show-checkout/<id>', methods=["POST", "GET"])
@login_required
def show_checkout(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }

    url = str(current_app.config['API_URL']) + '/history/get-last-history/' + str(id)
    r = requests.get(url=url, headers=headers, json={"userId": int(flask_login.current_user.id)})
    history = json.loads(r.text)
    i_timestamp = history['i_timestamp']
    f_timestamp = history['f_timestamp']
    price = history['price']

    # Calculo
    total_seconds = f_timestamp - i_timestamp
    total_hours = total_seconds / 3600

    total_hours = round(total_hours)
    total_price = total_hours*float(price)
    i_datetime = datetime.fromtimestamp(i_timestamp)
    f_datetime = datetime.fromtimestamp(f_timestamp)

    url = str(current_app.config['API_URL']) + '/parking/' + str(id)
    r = requests.get(url=url, headers=headers, json={})
    parking = json.loads(r.text)


    return render_template('checkout.html', price=price,
                           total_hours=total_hours,
                           total_price=total_price,
                           i_datetime=i_datetime,
                           f_datetime=f_datetime,
                           parking=parking)

web/main/routes/users.py
import json
import requests
from flask import Blueprint, render_template, url_for, flash, request, current_app
from flask_login import login_required
from main import admin_required
from main.forms.Users import CreateUser
from main.forms.Users import EditUser
from werkzeug.utils import redirect

users = Blueprint('users', __name__, url_prefix='/')


@users.route('/usuarios', methods=['POST', 'GET'])
@login_required
@admin_required
def index():
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    r = requests.get(current_app.config['API_URL'] + "/users", headers=headers)

    if r.status_code == 200:
        users = json.loads(r.text)["users"]
        return render_template('usuarios.html', users=users)
    else:
        flash("Debe iniciar sesion para continuar.", "warning")
        return redirect(url_for("login.index"))


@users.route('/user/<int:id>', methods=["POST", "GET"])
@login_required
@admin_required
def view(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    r = requests.get(current_app.config['API_URL'] + "/user/" + str(id), headers=headers)
    if r.status_code == 200:
        user = json.loads(r.text)
        return render_template('ver-usuario.html', id=id, user=user, link="http://127.0.0.1:5000" + "/")
    else:
        flash("Debe iniciar sesion para continuar.", "warning")
        return redirect(url_for("login.index"))


@users.route('/user/delete/<int:id>', methods=["POST", "GET"])
@login_required
@admin_required
def delete(id):
    auth = request.cookies['access_token']
    headers = {
        'content-type': "application/json",
        'authorization': "Bearer " + auth
    }
    r = requests.delete(current_app.config['API_URL'] + "/user/" + str(id), headers=headers)
    if r.status_code == 204:
        return redirect(url_for("users.index"))
    else:
        flash("Debe iniciar sesion para continuar.", "warning")
        return redirect(url_for("login.index"))


@users.route('/agregar-usuario', methods=['POST', 'GET'])
@login_required
@admin_required
def add_user():
    form = CreateUser()
    if form.validate_on_submit():
        data = {
            "email": form.email.data,
            "password": form.password.data,
            "admin": form.admin.data
        }
        r = requests.post(current_app.config['API_URL'] + "/auth/register",
                          headers={'content-type': 'application/json'}, json=data)
        if r.status_code == 201:
            return redirect(url_for('users.index'))
        else:
            print("Error")
    return render_template('agregar-usuario.html', form=form)


@users.route('/modificar-usuario/<int:id>', methods=["POST", "GET"])
@login_required
@admin_required
def modify_user(id):
    form = EditUser()
    if form.validate_on_submit():
        auth = request.cookies['access_token']
        headers = {
            'content-type': "application/json",
            'authorization': "Bearer " + auth
        }
        data = {
            "email": form.email.data,
            "admin": form.admin.data
        }

        r = requests.put(current_app.config['API_URL'] + "/user/" + str(id), headers=headers, data=json.dumps(data))
        if r.status_code == 201:
            return redirect(url_for("users.index"))
        else:
            flash("Error en la consulta", "error")
            return redirect(url_for("home.index"))
    else:
        auth = request.cookies['access_token']
        headers = {
            'content-type': "application/json",
            'authorization': "Bearer " + auth
        }
        r = requests.get(current_app.config['API_URL'] + "/user/" + str(id), headers=headers)
        user = json.loads(r.text)
        form.email.data = user["email"]
        form.admin.data = user["admin"]

    return render_template('modificar-usuario.html', form=form, id=id)

web/main/templates/agregar-sensor.html
<!DOCTYPE html>
<html lang="en">

{% extends 'logged-in-template.html'%}
{% block head %}
    {{ super() }}
{% endblock %}

{% from "form_macros.html" import show_field, show_submit %}

<body>

<div class="d-flex" id="wrapper">


    {% block sidebar %}
      {{ super() }}
    {% endblock %}

    <div id="page-content-wrapper">

        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
            {% block nav %}
            <button class="btn btn-primary" id="menu-toggle">Ocultar Menu</button>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            {{ super() }}
            {% endblock %}
        </nav>
        {% block body %}
        <div>
            <p></p>
            <p></p>
        </div>
        <div class="cotainer">
            <div class="row justify-content-center">
                <div class="col-md-8">
                    <div class="card">
                        <div class="card-header">Agregar Sensor</div>
                        <div class="card-body">
                            <form action="{{ url_for('sensors.add_sensor') }}" method="POST">
                                <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
                                <table class="table">
                                    <thead>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>Nombre</td>
                                            <td>{{ show_field(form.name) }}</td>
                                        </tr>
                                        <tr>
                                            <td>IP</td>
                                            <td>{{ show_field(form.ip) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Puerto</td>
                                            <td>{{ show_field(form.port) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Estado</td>
                                            <td>{{ show_field(form.status) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Activo</td>
                                            <td>{{ show_field(form.active) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Sismologo asociado (ID)</td>
                                            <td>{{ show_field(form.user_id) }}</td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>{{ show_field(form.submit_button) }}</td>
                                        </tr>
                                    </tbody>
                                </table>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        {% endblock %}
    </div>


</div>

{% block script %}
    {{ super() }}
{% endblock %}

</body>

</html>

web/main/templates/agregar-usuario.html
<!DOCTYPE html>
<html lang="en">

{% extends 'logged-in-template.html'%}
{% block head %}
    {{ super() }}
{% endblock %}

{% from "form_macros.html" import show_field, show_submit %}

<body>

<div class="d-flex" id="wrapper">


    {% block sidebar %}
      {{ super() }}
    {% endblock %}


    <div id="page-content-wrapper">

        <nav class="navbar navbar-expand-lg navbar-light bg-light border-bottom">
            {% block nav %}
            <button class="btn btn-primary" id="menu-toggle">Ocultar Menu</button>

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            {{ super() }}
            {% endblock %}
        </nav>
        {% block body %}
        <div>
            <p></p>
            <p></p>
        </div>
        <div class="cotainer">
            <div class="row justify-content-center">
                <div class="col-md-8">
                    <div class="card">
                        <div class="card-header">Agregar Usuario</div>
                        <div class="card-body">
                            <form action="{{ url_for('users.add_user') }}" method="POST">
                               <input type="hidden" name="csrf_token" value="{{ csrf_token() }}" />
                                <table class="table">
                                    <thead>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td>Email</td>
                                            <td>{{ show_field(form.email) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Contraseña</td>
                                            <td>{{ show_field(form.password) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Repetir contraseña</td>
                                            <td>{{ show_field(form.re_password) }}</td>
                                        </tr>
                                        <tr>
                                            <td>Administrador</td>
                                            <td>{{ show_field(form.admin) }}</td>
                                        </tr>
                                        <tr>
                                            <td></td>
                                            <td>{{ show_field(form.submit_button) }}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </form>
                    </div>
                </div>
            </div>
        </div>
        {% endblock %}
    </div>


</div>


{% block script %}
    {{ super() }}
  {% endblock %}

</body>

</html>

web/main/templates/capture-location.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Capturando coordenadas</title>
</head>
<body>
    <form id="get-location" action="{{ url_for('index.index') }}" method="POST">
        <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
        <input type='hidden' id="location" name='location' style="{display: none;}"/>
        <input type='hidden' value='' style="{display: none;}"/>
    </form>
    <script type="text/javascript">
    var latlongvalue = "";
    function showLocation(position) {
    const {latitude, longitude} = position.coords;
    latlongvalue = `${latitude},${longitude}`;
    document.getElementById('location').value = latlongvalue;
    document.getElementById("get-location").submit();
    }
    function errorHandler(err) {
    if(err.code == 1) {
      alert("Error: Debes aceptar los permisos");
    } else if( err.code == 2) {
      alert("Error: La ubicacion no está disponible");
    }
    }
    function getLocation(){
    if(navigator.geolocation){
      var options = {timeout:60000};
      navigator.geolocation.getCurrentPosition(showLocation, errorHandler, options);
    } else{
      alert("Lo lamento, tu navegador no soporta geolocalización");
    }
    }
    getLocation();
    </script>
</body>
</html>

web/main/templates/footer.html
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

</body>
</html>

web/main/templates/macros.html
{% macro show_parkings(parking) %}
<tr onclick="window.location='/parkings/search/{{parking.parkingId}}'">
    <td>{{parking.name}}</td>
    <td>{{parking.space}}</td>
    <td>{{parking.rate}}</td>
    <td>{{parking.price}}</td>
</tr>
{% endmacro %}

{% macro show_slots(slots) %}
<tr>
    <td>{{slots}}</td>
    <td>{{slots}}</td>
    <td>{{slots}}</td>
    <td>{{slots}}</td>
</tr>
{% endmacro %}

{% macro show_clients(client) %}
<tr>
    <td>{{client.userId.email}}</td>
    <td>{{client.i_timestamp}}</td>
    <td>{{client.f_timestamp}}</td>
    <td>{{client.price}}</td>
</tr>
{% endmacro %}

{% macro show_markers(parking) %}
    {% set lat, lon = parking.location.split(',') %}
    markers.addLayer(L.marker(["{{ lat }}", "{{ lon }}"], {icon: L.AwesomeMarkers.icon({})}).bindTooltip('{{parking.name}}', {permanent: false, className: 'my-label', offset: [0, 0] }));
{% endmacro %}

web/main/templates/parkings-scan.html
<!DOCTYPE html>
<html lang="en">
   <head>
      <meta charset="UTF-8">
      <title>Title</title>
      <style type="text/css">
       body { margin:0; padding:0; }
       #reader { position: absolute; top:0; bottom:0; right:0; left:0; }
     </style>
   </head>
   <body>
      <script type="text/javascript" src="../../../static/js/qrcode.js"></script>
      <style>
         .result{
         background-color: green;
         color:#fff;
         padding:20px;
         }
         .row{
         display:flex;
         }
      </style>
      <div id="reader"></div>

      <script type="text/javascript">
         var html5QrcodeScanner = new Html5QrcodeScanner("reader", { fps: 10, qrbox: 450 });
         html5QrcodeScanner.render(onScanSuccess, onScanError);

         function onScanSuccess(qrCodeMessage) {
            {% if initialized %}
               window.location.href = qrCodeMessage + "/stop";
            {% endif %}
            {% if not initialized %}
               window.location.href = qrCodeMessage + "/start";
            {% endif %}
            html5QrcodeScanner.clear();
         }
         function onScanError(errorMessage) {
           //handle scan error
         }
      </script>
   </body>
</html>

web/main/templates/register.html
<!DOCTYPE html>
<html lang="en">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Parkiing</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href="static/vendors/mdi/css/materialdesignicons.min.css">
  <link rel="stylesheet" href="static/vendors/base/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="static/css/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="static/images/favicon.png" />
</head>

<body>
  <div class="container-scroller">
    <div class="container-fluid page-body-wrapper full-page-wrapper">
      <div class="content-wrapper d-flex align-items-center auth px-0">
        <div class="row w-100 mx-0">
          <div class="col-lg-4 mx-auto">
            <div class="auth-form-light text-left py-5 px-4 px-sm-5">
              <div class="brand-logo">
                <img src="static/images/logo.svg" alt="logo">
              </div>
              <h4>¿Nuevo por aqui?</h4>
              <h6 class="font-weight-light">Inicia sesion y comienza a utilizar el servicio de manera simple y sencilla.</h6>
              {% block form %}
              <form class="pt-3" action="{{ url_for('login.register') }}" method="POST">
                <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/>
                <div class="form-group">
                  {{ form.email(class_="form-control form-control-lg") }}
                </div>
                <div class="form-group">
                  {{ form.re_email(class_="form-control form-control-lg") }}
                </div>
                <div class="form-group">
                  {{ form.password(class_="form-control form-control-lg") }}
                </div>
                <div class="form-group">
                  {{ form.re_password(class_="form-control form-control-lg") }}
                </div>
                <div class="form-group">
                  ¿Desea administrar una playa de estacionamiento?
                </div>
                <div class="form-group">
                  {{ form.admin(class_="form-check-label") }}
                </div>
                <div class="mb-4">
                  <div class="form-check">
                    <label class="form-check-label text-muted">
                      <input type="checkbox" class="form-check-input" required>
                      Aceptar los términos y condiciones
                    </label>
                  </div>
                </div>
                <div class="mt-3">
                  {{ form.submit_button(class_="btn btn-block btn-primary btn-lg font-weight-medium auth-form-btn") }}
                </div>
                <div class="text-center mt-4 font-weight-light">
                  ¿Ya tienes una cuenta? <a href="/" class="text-primary">Ingresar</a>
                </div>
              </form>
              {% endblock %}
            </div>
          </div>
        </div>
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <!-- plugins:js -->
  <script src="static/vendors/base/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- inject:js -->
  <script src="static/js/off-canvas.js"></script>
  <script src="static/js/hoverable-collapse.js"></script>
  <script src="static/js/template.js"></script>
  <!-- endinject -->
</body>

</html>